Avvs
Alle Operationen rund um Avvs.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| AVV | avv |
13 | — | avv_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/avvs |
Create avv | Create a new avv in the active tenant. |
DELETE |
/v1/avvs/{id} |
Delete avv | Soft delete entity. |
GET |
/v1/avvs/{id} |
Get avv by id | Fetch a single avv. |
GET |
/v1/avvs/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/avvs/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/avvs/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/avvs |
List avvs | List avvs for the active tenant. |
PATCH |
/v1/avvs/{id} |
Patch avv | JSON Merge Patch update. |
POST |
/v1/avvs/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/avvs/{id}/transition |
POST /v1/avvs/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/avvs/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/avvs/{id} |
Replace avv | Full replace with optimistic locking. |